cum.histo <- function(y, freq, delta=1, prob=FALSE,
	main=paste("Histogram of",deparse(substitute(y))),
	xlab=deparse(substitute(y)), ylab, xlim=range(y), ...){
	n <- length(y)
	if(length(delta==1)) delta <- rep(delta,n)
	breaks <- c(y-delta/2,y[n]+delta[n]/2)
	if(prob){
		freq <- freq/(sum(freq)*diff(breaks))
		if(missing(ylab))ylab <- "Relative Frequency"}
	else if(missing(ylab))ylab <- "Frequency"
	if(xlim[1]>min(y)||xlim[2]<max(y)){
		n1 <- which(breaks>=xlim[1]&breaks<=xlim[2])
		breaks <- breaks[c(n1,n1[length(n1)]+1)]
		freq <- freq[n1]}
	plot(breaks,c(freq,0),type="n",main=main,xlab=xlab,ylab=ylab,
		xlim=c(xlim[1]-0.5,xlim[2]+0.5),...)
	rect(breaks[-length(breaks)],0,breaks[-1],freq,border=par("fg"))}
