library(rmutil)
options(contrasts = c("contr.mean", "contr.poly"))

y <- scan("cancer2.dat",skip=4,comment="!")
tobacco <- gl(4,1,32)
alcohol <- gl(4,4,32)
case <- gl(2,16)

print(z0 <- glm(y~case+tobacco*alcohol,family=poisson))
print(z1 <- glm(y~case+tobacco*alcohol+case:tobacco,family=poisson))
c(coef(z1)[9:11],-sum(coef(z1)[9:11]))
print(z2 <- glm(y~case+tobacco*alcohol+case:alcohol,family=poisson))
c(coef(z2)[9:11],-sum(coef(z2)[9:11]))
print(z3 <- glm(y~case+tobacco*alcohol+case:(tobacco+alcohol),family=poisson))
c(coef(z3)[9:11],-sum(coef(z3)[9:11]))
c(coef(z3)[12:14],-sum(coef(z3)[12:14]))
print(z4 <- glm(y~case*tobacco*alcohol,family=poisson))

y <- matrix(y,ncol=2)
tobacco <- gl(4,1,16)
alcohol <- gl(4,4,16)
print(z0 <- glm(y~1,family=binomial))
print(z1 <- glm(y~tobacco,family=binomial))
c(coef(z1)[2:4],-sum(coef(z1)[2:4]))
print(z2 <- glm(y~alcohol,family=binomial))
c(coef(z2)[2:4],-sum(coef(z2)[2:4]))
print(z3 <- glm(y~tobacco+alcohol,family=binomial))
c(coef(z3)[2:4],-sum(coef(z3)[2:4]))
c(coef(z3)[5:7],-sum(coef(z3)[5:7]))
print(z4 <- glm(y~tobacco*alcohol,family=binomial))
