source("cum.histo.r")
library(rmutil)
options(contrasts = c("contr.mean", "contr.poly"))

y <- matrix(c(210,170,194,110,190,730,406,290),ncol=2)
ed <- gl(2,2)
age <- gl(2,1,4)
print(summary(glm(y~1,family=binomial)))
print(summary(glm(y~age,family=binomial)))
print(summary(glm(y~ed,family=binomial)))
print(summary(glm(y~age+ed,family=binomial)))
print(summary(glm(y~age*ed,family=binomial)))

print(summary(glm(y[1:2,]~gl(2,1),family=binomial)))
print(summary(glm(y[3:4,]~gl(2,1),family=binomial)))

y1 <- matrix(c(380,304,920,696),ncol=2)
y2 <- matrix(c(404,280,596,1020),ncol=2)
print(summary(glm(y1~gl(2,1),family=binomial)))
print(summary(glm(y2~gl(2,1),family=binomial)))

if(interactive()){
postscript("music.eps")
par(mfrow=c(2,2),font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(1:2,y[1,]/sum(y[1,]),main="Old age High education",xlab="",
	ylab="Relative frequency",xlim=c(0.5,2.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:2,y[2,]/sum(y[2,]),main="Old age Low education",xlab="",ylab="",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
cum.histo(1:2,y[3,]/sum(y[3,]),main="Young age High education",xlab="",
	ylab="Relative frequency",xlim=c(0.5,2.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:2,y[4,]/sum(y[4,]),main="Young age Low education",xlab="",ylab="",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
dev.off()
}

yll <- as.vector(y)
edll <- gl(2,2,8)
agell <- gl(2,1,8)
listen <- gl(2,4)
glm(yll~listen+edll*agell,family=poisson)
glm(yll~listen*edll*agell,family=poisson)
