source("cum.histo.r")

y <- c(436,133,19,2,1,0,1)
occupants <- 1:7

z <- log(ifelse(y>0,y,1))
w <- y
A <- sum(w)
B <- sum(w*z)
C <- sum(w*occupants)
D <- sum(w*occupants^2)
E <- sum(w*occupants*z)

print(beta1 <- (E-B*C/A)/(D-C^2/A))
print(beta0 <- B/A-beta1*C/A)

print(summary(z1 <- glm(y~occupants,family=poisson)))

exp(coef(z1)[1])

if(interactive()){
postscript("postal.eps",height=6,width=6)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(1:7,y,main="",xlab="Occupants",ylab="Houses",ylim=c(0,500))
lines(1:7,fitted(z1),lty=2)
legend(4,400,legend=c("Observed","Log linear regression"),lty=1:2,bty="n")
dev.off()
}
