source("cum.histo.r")

y <- c(239,98,57,33,9,2,2,1,0,4,1,0,0,1)
accidents <- seq(0,13)

z <- log(ifelse(y>0,y,1))
w <- y
A <- sum(w)
B <- sum(w*z)
C <- sum(w*accidents)
D <- sum(w*accidents^2)
E <- sum(w*accidents*z)

print(beta1 <- (E-B*C/A)/(D-C^2/A))
print(beta0 <- B/A-beta1*C/A)

print(summary(z1 <- glm(y~accidents,family=poisson)))

if(interactive()){
postscript("soap.eps",height=6,width=6)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(accidents,y,main="",xlab="Accidents",ylab="Men",ylim=c(0,250))
lines(accidents,fitted(z1),lty=2)
legend(6,200,legend=c("Observed","Log linear regression"),lty=1:2,bty="n")
dev.off()
}
