options(contrasts = c("contr.sum", "contr.poly"))

ed <- gl(2,1,4)
age <- gl(2,2,4)

y1a <- c(45,285,55,115)
y2a <- c(355,615,545,285)
religious <- cbind(y1a,y2a)
print(summary(z0a <- glm(religious~1,family=binomial)))
deviance(z0a)+2*(dim(religious)[1]-z0a$df.res)
print(summary(z1a <- glm(religious~age*ed,family=binomial)))
deviance(z1a)+2*(dim(religious)[1]-z1a$df.res)
print(summary(z2a <- glm(religious~age,family=binomial)))
deviance(z2a)+2*(dim(religious)[1]-z2a$df.res)
print(summary(z3a <- glm(religious~ed,family=binomial)))
deviance(z3a)+2*(dim(religious)[1]-z3a$df.res)
print(summary(z4a <- glm(religious~age+ed,family=binomial)))
deviance(z4a)+2*(dim(religious)[1]-z4a$df.res)

y1b <- c(210,360,240,100)
y2b <- c(180,540,360,300)
discuss <- cbind(y1b,y2b)
print(summary(z0b <- glm(discuss~1,family=binomial)))
deviance(z0b)+2*(dim(discuss)[1]-z0b$df.res)
print(summary(z1b <- glm(discuss~age*ed,family=binomial)))
deviance(z1b)+2*(dim(discuss)[1]-z1b$df.res)
print(summary(z2b <- glm(discuss~age,family=binomial)))
deviance(z2b)+2*(dim(discuss)[1]-z2b$df.res)
print(summary(z3b <- glm(discuss~ed,family=binomial)))
deviance(z3b)+2*(dim(discuss)[1]-z3b$df.res)
print(summary(z4b <- glm(discuss~age+ed,family=binomial)))
deviance(z4b)+2*(dim(discuss)[1]-z4b$df.res)

if(interactive()){
postscript("e3-4a.eps")
par(mfrow=c(2,2),mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
lik <- NULL
for(i in seq(1,2,by=0.01)){
	z <- glm(religious~1,offset=(as.numeric(ed)-1)*i,family=binomial)
	lik <- c(lik,deviance(z)/2)}
lik <- lik-deviance(z3a)/2
plot(-seq(1,2,by=0.01)/2,exp(-lik),type="l",xlab=expression(alpha[1]),
	ylab=expression(R(alpha[1])),bty="L",ylim=0:1)
lik <- NULL
for(i in seq(-0.5,0.2,by=0.01)){
	z <- glm(religious~ed,offset=(as.numeric(age)-1)*i,family=binomial)
	lik <- c(lik,deviance(z)/2)}
lik <- lik-deviance(z4a)/2
plot(-seq(-0.5,0.2,by=0.01)/2,exp(-lik),type="l",xlab=expression(beta[1]),
	ylab=expression(R(beta[1])),bty="L",ylim=0:1)
lik <- NULL
for(i in -seq(0.2,1,by=0.01)){
	z <- glm(discuss~age,offset=(as.numeric(ed)-1)*i,family=binomial)
	lik <- c(lik,deviance(z)/2)}
lik <- lik-deviance(z4b)/2
plot(seq(0.2,1,by=0.01)/2,exp(-lik),type="l",xlab=expression(alpha[1]),
	ylab=expression(R(alpha[1])),bty="L",ylim=0:1)
lik <- NULL
for(i in -seq(0.2,1,by=0.01)){
	z <- glm(discuss~ed,offset=(as.numeric(age)-1)*i,family=binomial)
	lik <- c(lik,deviance(z)/2)}
lik <- lik-deviance(z4b)/2
plot(seq(0.2,1,by=0.01)/2,exp(-lik),type="l",xlab=expression(beta[1]),
	ylab=expression(R(beta[1])),bty="L",ylim=0:1)
dev.off()
}
