library(gnlm)

if(interactive()){
postscript("geometric.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
fit.dist(0:20,1000*0.33*(1-0.33)^(0:20),"geometric",plot=T,
	xlab=expression(y[i]),ylab=expression(pi[i]),main="",xlim=c(0,9))
dev.off()
}

f1 <- c(52,46,50,27,15,12,8,4,5,1,0,2,1,0,0,2,2,1,5,1,4,1,1,0)
y1 <- seq(0,23)
if(interactive()){
postscript("PO.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y1,f1,"geometric",plot=interactive(),xlab="Months",
	ylab=expression(pi[i]),main="",ylim=c(0,0.225),axes=F,frame.plot=T)
if(interactive()){
axis(side=1,at=0:22)
axis(side=2,at=seq(0,0.25,by=0.05))
dev.off()
}

f2 <- c(678,227,56,28,8,14)
y2 <- seq(0,5)
if(interactive()){
postscript("cars.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y2,f2,"geometric",cens=T,plot=interactive(),xlab="Passengers",
	ylab=expression(pi[i]),main="",axes=F,frame.plot=T)
if(interactive()){
axis(side=1,at=0:5,labels=c(0:4,"5+"))
axis(side=2,at=seq(0,0.7,by=0.1))
dev.off()
}
