library(gnlm)

if(interactive()){
postscript("laplace.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1:50,dlaplace(1:50,25,sqrt(75/2)),xlim=c(0,50),ylim=c(0,0.08),
	type="l",xlab=expression(y[i]),ylab=expression(f(y[i])))
lines(1:50,dnorm(1:50,25,sqrt(75)),lty=2)
legend(30,0.06,legend=c("Laplace","Normal"),lty=1:2,bty="n")
dev.off()
}

f <- c(3,8,6,5,1,2,0,1)
y <- c(7,12,17,22,27,32,37,42)
if(interactive()){
postscript("time7.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y,f,"Laplace",delta=5,plot=interactive(),main="",xlab="Hours",
	xlim=c(4,44),ylim=c(0,0.08),ylab=expression(f(y[i])))
fit.dist(y,f,"normal",delta=5,plot=interactive(),lty=2,add=T)
if(interactive()){
lines(c(-3,2,7),dlaplace(c(-3,2,7),16.999992,6.155708))
lines(c(-3,2,7),dnorm(c(-3,2,7),17.76923,sqrt(68.63905)),lty=2)
legend(30,0.06,legend=c("Laplace","Normal"),lty=1:2,bty="n")
dev.off()
}
