library(gnlm)

if(interactive()){
postscript("lnormal.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1:50,dlnorm(1:50,3,sqrt(0.9)),xlim=c(0,50),ylim=c(0,0.04),
	type="l",xlab=expression(y[i]),ylab=expression(f(y[i])))
dev.off()
}

f <- c(3,8,6,5,1,2,0,1)
y <- c(7,12,17,22,27,32,37,42)
if(interactive()){
postscript("time2.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y,f,"log normal",delta=5,plot=interactive(),main="",xlab="Hours",
	xlim=c(4,44),ylab=expression(f(y[i])))
fit.dist(y,f,"normal",delta=5,plot=interactive(),lty=2,add=T)
if(interactive()){
lines(c(-3,2,7),dlnorm(c(-3,2,7),2.7744790,sqrt(0.2079761)))
lines(c(-3,2,7),dnorm(c(-3,2,7),17.76923,sqrt(68.63905)),lty=2)
legend(30,0.06,legend=c("Log normal","Normal"),lty=1:2,bty="n")
dev.off()
}

exp(2.7744790+0.2079761/2)
