library(gnlm)

if(interactive()){
postscript("normal.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(seq(-2,4,by=0.1),dnorm(seq(-2,4,by=0.1),1,1),xlim=c(-2,13),ylim=c(0,0.6),
	type="l",xlab=expression(y[i]),ylab=expression(f(y[i])))
lines(seq(0,6,by=0.1),dnorm(seq(0,6,by=0.1),3,1),lty=2)
lines(seq(2,8,by=0.1),dnorm(seq(2,8,by=0.1),5,1),lty=3)
lines(seq(4,10,by=0.1),dnorm(seq(4,10,by=0.1),7,1),lty=4)
lines(seq(6,12,by=0.1),dnorm(seq(6,12,by=0.1),9,1),lty=5)
legend(4,0.6,legend=c(expression(paste(mu==1,",  ",sigma^2==1)),
	expression(paste(mu==3,",  ",sigma^2==1)),
	expression(paste(mu==5,",  ",sigma^2==1)),
	expression(paste(mu==7,",  ",sigma^2==1)),
	expression(paste(mu==9,",  ",sigma^2==1)),),lty=1:5,bty="n")
dev.off()
}

f <- c(3,8,6,5,1,2,0,1)
y <- c(7,12,17,22,27,32,37,42)
if(interactive()){
postscript("time.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
print(z <- fit.dist(y,f,"normal",delta=5,plot=interactive(),main="",
	xlab="Hours",ylab=expression(f(y[i])),xlim=c(0,44)))
if(interactive()){
lines(c(-3,2,7),dnorm(c(-3,2,7),17.76923,sqrt(68.63905)))
dev.off()
}
