library(gnlm)

if(interactive()){
postscript("pareto.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1:50,0.1/(1:50)^1.1,xlim=c(0,50),ylim=c(0,0.1),
	type="l",xlab=expression(y[i]),ylab=expression(f(y[i])))
dev.off()
}

f1 <- c(22,17,13,8,14,6,9,12,11,4,4,2,0,2)
if(interactive()){
postscript("mine3.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
y <- c(0,20,40,60,80,100,120,140,200,260,320,380,440,500,1500)
fit.dist(y,f1,"exponential",breaks=T,cens=T,plot=interactive(),main="",lty=2,
	xlab="Days",ylab=expression(f(y[i])),xlim=c(0,500),ylim=c(0,0.01))
y <- c(4,20,40,60,80,100,120,140,200,260,320,380,440,500,1500)
fit.dist(y,f1,"Pareto",breaks=T,cens=T,plot=interactive(),add=T,lty=1)
if(interactive()){
legend(300,0.008,legend=c("Pareto","Exponential"),lty=1:2,bty="n")
dev.off()
}
