library(gnlm)

if(interactive()){
postscript("studentt.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1:50,dt(((1:50)-25)/sqrt(75),5)/sqrt(75),xlim=c(0,50),ylim=c(0,0.06),
	type="l",xlab=expression(y[i]),ylab=expression(f(y[i])))
lines(1:50,dnorm(1:50,25,sqrt(75)),lty=2)
lines(1:50,dcauchy(1:50,25,sqrt(75)),lty=3)
legend(30,0.06,legend=c("Student t","Normal","Cauchy"),lty=1:3,bty="n")
dev.off()
}

f <- c(3,8,6,5,1,2,0,1)
y <- c(7,12,17,22,27,32,37,42)
if(interactive()){
postscript("time5.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y,f,"Student t",delta=5,plot=interactive(),main="",xlab="Hours",
	xlim=c(4,44),ylab=expression(f(y[i])))
fit.dist(y,f,"normal",delta=5,plot=interactive(),lty=2,add=T)
if(interactive()){
lines(c(-3,2,7),dt((c(-3,2,7)-16.634333)/6.589738,5.028784)/6.589738)
lines(c(-3,2,7),dnorm(c(-3,2,7),17.76923,sqrt(68.63905)),lty=2)
legend(30,0.06,legend=c("Student t","Normal"),lty=1:2,bty="n")
dev.off()
}
