library(rmutil)
options(contrasts = c("contr.mean", "contr.poly"))

before <- c(64,71,64,69,76,53,52,72,79,68)
after <- c(61,72,63,67,72,49,54,72,74,66)
summary(z0 <- glm(after~1))
print(sig0 <- sum(residuals(z0)^2)/10)
5*log(sig0)+2
summary(z1 <- glm(after~before))
print(sig1 <- sum(residuals(z1)^2)/10)
5*log(sig1)+3
summary(z2 <- glm(after~1,offset=before))
print(sig2 <- sum(residuals(z2)^2)/10)
5*log(sig2)+2

10*log(sig0/sig1)
10*log(sig2/sig1)

abs(z1$coef[2]-1)*sqrt(var(before)*9)/sqrt(sig1*10/8)

if(interactive()){
postscript("diet2.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(before,after,pch=20,xlim=c(40,80),ylim=c(40,80),
	xlab="Weight before diet",ylab="Weight after diet")
abline(z1)
dev.off()
}

y <- after-before
summary(z1 <- glm(y~1))
mean(y)/sqrt(var(y)/10)
summary(z2 <- glm(y~-1))
5*log(sum(residuals(z1)^2)/10)+2
5*log(sum(y^2)/10)+1

y2 <- c(before,after)
id <- gl(10,1,20)
time <- gl(2,10)
summary(z3 <- glm(y2~id+time))
summary(z4 <- glm(y2~id))
10*log(sum(residuals(z3)^2)/20)+11
10*log(sum(residuals(z4)^2)/20)+10

slope <- coef(z1)[1]
se <- coef(summary(z1))[1,2]
points <- seq(slope-3*se,slope+3*se,by=0.1)
lr <- rep(0,length(points))
for(i in 1:length(points)){
      lr[i] <- deviance(glm(y~-1,offset=rep(points[i],10)))}
lr <- (lr/deviance(z1))^(-5)

if(interactive()){
postscript("dietlike.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(points,exp(-(points-slope)^2/(2*se^2)),type="l",
	xlab=expression(beta[0]),ylab=expression(R(beta[0])),lty=2)
lines(points,lr)
legend(-4,1,legend=c("Profile likelihood","Standard error",
	"  approximation"),lty=c(1,2,0),bty="n")
dev.off()
}
