library(rmutil)
options(contrasts = c("contr.mean", "contr.poly"))

y <- c(20,20,20,8,12,14,40,13,16,12.5,16,34,12,18,17,30,
	16,13,22,14,12,6,5,25,24,15)
sex <- factor(c(rep("M",16),rep("F",10)))

summary(z <- lm(y~sex))
anova(z)
print(sig2 <- sum(residuals(z)^2)/26)
26*log((var(y)*25/26)/sig2)
13*log(sig2)+3
13*log(var(y)*25/26)+2

slope <- -coef(z)[2]
se <- coef(summary(z))[2,2]
points <- seq(slope-3*se,slope+3*se,by=0.2)
lr <- rep(0,length(points))
for(i in 1:length(points)){
      lr[i] <- deviance(lm(y~1,
		offset=(sex=="M")*points[i]-(sex=="F")*points[i]))}
lr <- (lr/deviance(z))^(-13)

if(interactive()){
postscript("homeworklike.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(points,exp(-(points-slope)^2/(2*se^2)),type="l",
	xlab=expression(alpha[1]),ylab=expression(R(alpha[1])),lty=2)
lines(points,lr)
legend(-3,1,legend=c("Profile likelihood","Standard error",
	"  approximation"),lty=c(1,2,0),bty="n")
dev.off()
}

ly <- log(y)

summary(zl <- lm(ly~sex))
anova(zl)
print(sig2l <- sum(residuals(zl)^2)/26)
26*log((var(ly)*25/26)/sig2l)
13*log(sig2l)+3
13*log(var(ly)*25/26)+2

summary(zlm <- lm(ly[1:16]~1))
summary(zlf <- lm(ly[17:26]~1))
print(sig2lm <- sum(residuals(zlm)^2)/16)
print(sig2lf <- sum(residuals(zlf)^2)/10)
8*log(sig2lm)+5*log(sig2lf)+4
