time <- c(317, 464, 525, 298, 
	491, 196, 268, 372, 
	370, 739, 430, 410, 
	342, 222, 219, 513, 
	295, 285, 408, 543, 
	298, 494, 317, 407, )
EFT <- c(59,  33,  49,  69,
	65,  26,  29,  62,
	31, 139,  74,  31,
	48,  23,   9, 128,
	44,  49,  87,  43,
	55,  58, 113,   7)
group <- gl(2,12)

print(summary(zt0 <- glm(time~1)))
print(summary(zteft <- glm(time~EFT)))

print(summary(ztg <- glm(time~group)))
print(summary(ze0 <- glm(EFT~1)))
print(summary(zeg <- glm(EFT~group)))

print(summary(zc <- glm(time~EFT+group)))
print(summary(zf <- glm(time~EFT*group)))

print(summary(zteft2 <- glm(time~EFT,family=gaussian(link=log))))
print(summary(zlnteft <- glm(log(time)~EFT)))
zlnteft$aic+2*sum(log(time))

print(summary(zgteft <- glm(time~EFT,family=Gamma)))
print(summary(zgteft2 <- glm(time~EFT,family=Gamma(link=identity))))
print(summary(zgteft3 <- glm(time~EFT,family=Gamma(link=log))))

print(summary(zigteft <- glm(time~EFT,family=inverse.gaussian)))
print(summary(zigteft2 <- glm(time~EFT,
	family=inverse.gaussian(link=identity))))
print(summary(zigteft3 <- glm(time~EFT,family=inverse.gaussian(link=log))))

if(interactive()){
postscript("e5-8.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(EFT,time,bty="L",xlab="EFT",ylab="Time",pch=20,xlim=c(0,150),
	ylim=c(0,800))
abline(coef(zteft))
dev.off()
}
