library(event)

risk1 <- c(110,100,86,72,61,54,42,33,28,24)
death1 <- c(5,7,7,3,0,2,3,0,0,1)
pii1 <- death1/risk1
bs1 <- exp(cumsum(log(1-pii1)))
ps1 <- exp(cumsum(-pii1))
data.frame(pii1,bs1,ps1)

censor <- c(1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,0)
times <- c(1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11)
freq1 <- c(5,5,7,7,7,7,3,8,0,7,2,10,3,6,0,5,0,4,1,8,15)
print(km1 <- km(times,censor,freq=freq1))

if(interactive()){
postscript("cervix.eps",height=6,width=6)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(km1,ylab="Survival probability",xlab="Years",main="",xlim=c(0,10))
dev.off()
}

year <- 1:10
print(z0 <- glm(cbind(death1,risk1-death1)~1,family=binomial))
deviance(z0)/2+1

print(summary(z1 <- glm(cbind(death1,risk1-death1)~year,family=binomial)))
deviance(z1)/2+2

risk <- c(risk1,234,207,169,129,105,85,73,62,49,34)
death <- c(death1,24,27,31,17,7,6,5,3,2,4)
year2 <- rep(year,2)
yearf <- as.factor(year2)
stage <- gl(2,10)
print(summary(z2 <- glm(cbind(death,risk-death)~1,family=binomial)))
deviance(z2)/2+1
print(summary(z3 <- glm(cbind(death,risk-death)~yearf,family=binomial)))
deviance(z3)/2+10
print(summary(z4 <- glm(cbind(death,risk-death)~stage,family=binomial)))
deviance(z4)/2+2
print(summary(z5 <- glm(cbind(death,risk-death)~yearf+stage,family=binomial)))
deviance(z5)/2+11
print(summary(z6 <- glm(cbind(death,risk-death)~yearf*stage,family=binomial)))
deviance(z6)/2+20

print(summary(z7 <- glm(cbind(death,risk-death)~year2,family=binomial)))
deviance(z7)/2+2
print(summary(z8 <- glm(cbind(death,risk-death)~year2+stage,family=binomial)))
deviance(z8)/2+3
print(summary(z9 <- glm(cbind(death,risk-death)~year2*stage,family=binomial)))
deviance(z9)/2+4

if(interactive()){
slope1 <- coef(z8)[2]
se1 <- coef(summary(z8))[2,2]
points1 <- seq(slope1-3*se1,slope1+3*se1,by=0.005)
lr1 <- rep(0,length(points1))
for(i in 1:length(points1)){
	lr1[i] <- deviance(glm(cbind(death,risk-death)~stage,family=binomial,
		offset=year2*points1[i]))}
lr1 <- (lr1/deviance(z8))^(-20)

slope2 <- coef(z8)[3]
se2 <- coef(summary(z8))[3,2]
points2 <- seq(slope2-3*se2,slope2+3*se2,by=0.02)
lr2 <- rep(0,length(points2))
for(i in 1:length(points2)){
	lr2[i] <- deviance(glm(cbind(death,risk-death)~year2,family=binomial,
		offset=(stage==2)*points2[i]))}
lr2 <- (lr2/deviance(z8))^(-20)

postscript("cancerlike.eps",height=6)
par(mfrow=c(1,2),mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(points1,lr1,type="l",xlab=expression(beta[1]),ylab=expression(R(beta[1])))
plot(points2,lr2,type="l",xlab=expression(beta[2]),ylab=expression(R(beta[2])))
dev.off()
}
