year <- seq(1962,1979)
yr <- seq(2,18)
low <- c(2.8,2.7,2.7,2.2,2.9,4.5,5.1,5.5,6.2,6.2,6.3,5.5,6.2,9.1,
	7.6,6.9,7.5,7.2)

if(interactive()){
postscript("wages.eps",height=6,width=6)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(year,low,pch=20,xlab="Year",ylab="Percentage wage increase",
	xlim=c(1960,1980),ylim=c(0,10))
lines(year,low)
dev.off()
}

n <- length(year)
summary(z1 <- glm(low[2:n]~low[1:(n-1)]))
deviance(z1)/17
17*log(deviance(z1)/17)/2+2
summary(z2 <- glm(low[2:n]~low[1:(n-1)]-1))
deviance(z2)/17
17*log(deviance(z2)/deviance(z1))
17*log(deviance(z2)/17)/2+1
summary(z0 <- glm(low[2:n]~1))
deviance(z0)/17
17*log(deviance(z0)/deviance(z2))
17*log(deviance(z0)/17)/2+1
summary(z3 <- glm(low[2:n]~yr))
deviance(z3)/17
17*log(deviance(z3)/17)/2+2
17*log(deviance(z0)/deviance(z3))
