library(event)

data <- read.table("unemployment.dat",header=T,skip=1)
attach(data)

if(interactive()){
postscript("e6-6a.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0),font.main=1)
weeks <- censored <- total <- NULL
for(i in Weeks){
weeks <- c(weeks,i)
censored <- c(censored,1)
total <- c(total,Total[i]-Censored[i])
if(Censored[i]!=0){
weeks <- c(weeks,i)
censored <- c(censored,0)
total <- c(total,Censored[i])}}
plot(km(weeks,censored,freq=total),main="All workers",
	xlab="Length of unemployment",bty="L")
dev.off()
}

if(interactive()){
postscript("e6-6b.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0),font.main=1)
weeks <- censored <- total <- NULL
for(i in Weeks){
weeks <- c(weeks,i)
censored <- c(censored,1)
total <- c(total,New[i])
if((Recall[i]+Censored[i])!=0){
weeks <- c(weeks,i)
censored <- c(censored,0)
total <- c(total,Recall[i]+Censored[i])}}
plot(km(weeks,censored,freq=total),main="New jobs",
	xlab="Length of unemployment",bty="L")
dev.off()
}

print(summary(z1a <- glm(cbind(New,Total-New)~1,family=binomial)))
print(summary(z1b <- glm(cbind(New,Total-New)~Weeks,family=binomial)))
print(summary(z1c <- glm(cbind(New,Total-New)~log(Weeks),family=binomial)))

if(interactive()){
postscript("e6-6c.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0),font.main=1)
weeks <- censored <- total <- NULL
for(i in Weeks){
weeks <- c(weeks,i)
censored <- c(censored,1)
total <- c(total,Recall[i])
if((New[i]+Censored[i])!=0){
weeks <- c(weeks,i)
censored <- c(censored,0)
total <- c(total,New[i]+Censored[i])}}
plot(km(weeks,censored,freq=total),main="Recalls",
	xlab="Length of unemployment",bty="L")
dev.off()
}

print(summary(z1a <- glm(cbind(Recall,Total-Recall)~1,family=binomial)))
print(summary(z1b <- glm(cbind(Recall,Total-Recall)~Weeks,family=binomial)))
print(summary(z1c <- glm(cbind(Recall,Total-Recall)~log(Weeks),family=binomial)))
