library(event)

data <- read.table("divorces.dat",skip=2)
names(data) <- c("Years","Freq")
attach(data)

if(interactive()){
postscript("e6-8.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(km(Years,1,freq=Freq),main="",xlab="Length of marriage",
	bty="L")
dev.off()
}

total <- c(sum(Freq),sum(Freq)-cumsum(Freq)[1:51])
print(summary(z0 <- glm(cbind(Freq,total-Freq)~1,family=binomial)))
print(summary(z1 <- glm(cbind(Freq,total-Freq)~Years,family=binomial)))
print(summary(z2 <- glm(cbind(Freq,total-Freq)~log(Years),family=binomial)))
